/*
 * @Author: Badguy
 * @Date: 2022-02-14 09:37:11
 * @LastEditTime: 2022-04-06 10:43:11
 * @LastEditors: your name
 * @Description: 账户管理api
 * have a nice day!
 */
import request from '@/utils/request'

// 账号列表查询
export function GetAccountList (params) {
  return request({
    url: '/api/fs4a/GetUserList/v1',
    method: 'post',
    data: params
  })
}

// 账号状态变更
export function ChangeUserStatus (params) {
  return request({
    url: '/api/fs4a/ChangeUserStatus/v1',
    method: 'post',
    data: params,
    msg: '账号状态更新',
    Ident: 'userlist_btn_status_change'
  })
}

// 账号删除
export function delAccount (params) {
  return request({
    url: '/api/fs4a/DeleteUser/v1',
    method: 'post',
    data: params,
    msg: '删除账号',
    Ident: 'userlist_btn_del'
  })
}

// 账号新增保存
export function addAccount (params) {
  return request({
    url: '/api/fs4a/SaveUser/v1',
    method: 'post',
    data: params,
    msg: '新增账号',
    Ident: 'userlist_btn_add'
  })
}

// 账号详情查询
export function getAccountDetails (params) {
  return request({
    url: '/api/fs4a/GetUserDetails/v1',
    method: 'post',
    data: params
  })
}

// 账号编辑保存
export function editAccount (params) {
  return request({
    url: '/api/fs4a/EditUser/v1',
    method: 'post',
    data: params,
    msg: '修改账号',
    Ident: 'userupdate_btn_save'
  })
}

// 根据登录后ID及USERTYPE查询拥有权限
export function getAuthListByUser (params) {
  return request({
    url: '/api/fs4a/GetAuthListByUser/v1',
    method: 'post',
    data: params
  })
}
