/*
 * @Author: your name
 * @Date: 2021-12-22 17:00:22
 * @LastEditTime: 2022-03-23 15:19:36
 * @LastEditors: your name
 * @Description: 获取权限树
 * @FilePath: \Foshan4A2.0\src\views\authorityManagement\minixs\treeData.js
 */
import { translateDataToTreeAll } from '@/utils/validate'
import { GetAuthTree } from '@/api/apiAuthority'

export default {
  data () {
    return {
      dataList: {},
      loading: false
    }
  },
  created () {
    // this.getAuthTree()
  },
  methods: {
    async getAuthTree (name = '') {
      try {
        this.loading = true
        const result = await GetAuthTree({
          "QueryName": name
        })
        if (result.code === 0 && result.returnData.length) {
          result.returnData.forEach(item => {
            item.flag = item.Status === 1 ? true : false
          })
          const obj = {
            AuthId: -1,
            AuthName: "所有权限",
            QueryTarget: 0,
            Status: 0,
            UpAuthId: -2,
            Type: 0,
            disabled: true,
            children: translateDataToTreeAll(result.returnData, 'UpAuthId', 'AuthId')
          }
          this.orgList = result.returnData
          this.dataList = obj
          this.dataArr = result.returnData;
          this.dataArr.push({
            AuthId: -1,
            AuthName: "所有权限",
            QueryTarget: 0,
            Status: 0,
            UpAuthId: -2,
            Type: 0,
            disabled: true,
            children: []
          })
        } else {
          const obj = {
            AuthId: -1,
            AuthName: "所有权限",
            QueryTarget: 0,
            Status: 0,
            UpAuthId: -2,
            Type: 0,
            disabled: true,
            children: []
          }
          this.dataList = obj
          this.dataArr?.push({
            AuthId: -1,
            AuthName: "所有权限",
            QueryTarget: 0,
            Status: 0,
            UpAuthId: -2,
            Type: 0,
            disabled: true,
            children: []
          })
          typeof this.currentKey !== 'undefined' && sessionStorage.setItem('authCurrentKey', -1)
        }
        this.loading = false
        this.initCurrentKeyStep?.splice(0, 1, true)
      } catch (error) {
        const obj = {
          AuthId: -1,
          AuthName: "所有权限",
          QueryTarget: 0,
          Status: 0,
          UpAuthId: -2,
          Type: 0,
          disabled: true,
          children: []
        }
        this.dataList = obj
        this.dataArr?.push({
          AuthId: -1,
          AuthName: "所有权限",
          QueryTarget: 0,
          Status: 0,
          UpAuthId: -2,
          Type: 0,
          disabled: true,
          children: []
        })
        typeof this.currentKey !== 'undefined' && sessionStorage.setItem('authCurrentKey', -1)
        this.loading = false
        this.initCurrentKeyStep?.splice(0, 1, true)
      }
    }
  }
}
