import request from '@/utils/request-gat'

/**
 * 
 * BServer
 */
//分页获取所有业务服务器信息
export function gateWayBServerGetList (params) {
  return request({
    url: '/api/BServer/GateWayBServerGetList',
    method: 'post',
    data: params
  })
}

//根据ID获取业务服务器信息
export function gateWayBServerGetById (params) {
  return request({
    url: '/api/BServer/GateWayBServerGetById',
    method: 'post',
    data: params
  })
}

//删除业务服务器信息
export function gateWayBServerDeleteById (params) {
  return request({
    url: '/api/BServer/GateWayBServerDeleteById',
    method: 'post',
    data: params
  })
}

//新增/更新业务服务器信息
export function gateWayBServerEdit (params) {
  return request({
    url: '/api/BServer/GateWayBServerEdit',
    method: 'post',
    data: params
  })
}

//更新业务服务器状态信息
export function gateWayBServerStatusEdit (params) {
  return request({
    url: '/api/BServer/GateWayBServerStatusEdit',
    method: 'post',
    data: params
  })
}

//根据业务服务ID获取所有关联的业务服务器信息
export function gateWayRelationBServerGetByBusiness (params) {
  return request({
    url: '/api/BServer/GateWayRelationBServerGetByBusiness',
    method: 'post',
    data: params
  })
}

//根据业务服务ID获取所有关联和未关联的业务服务器信息
export function gateWayBServerGetByBusiness (params) {
  return request({
    url: '/api/BServer/GateWayBServerGetByBusiness',
    method: 'post',
    data: params
  })
}

//以业务服务器为主批量关联业务服务及业务服务器信息
export function gateWayBusinessBServerRelationByBServer (params) {
  return request({
    url: '/api/BServer/GateWayBusinessBServerRelationByBServer',
    method: 'post',
    data: params
  })
}

/**
 * 
 * Business
 */
//
export function asyncTest (params) {
  return request({
    url: '/api/Business/AsyncTest',
    method: 'post',
    data: params
  })
}

//API文档列表查询(searchType字段无效)
export function gateWayApiDocumentList (params) {
  return request({
    url: '/api/Business/GateWayApiDocumentList',
    method: 'post',
    data: params
  })
}

//分页获取业务服务列表信息
export function gateWayBusinessGetList (params) {
  return request({
    url: '/api/Business/GateWayBusinessGetList',
    method: 'post',
    data: params
  })
}

//根据ID获取WebApi业务服务信息
export function gateWayBusinessGetById (params) {
  return request({
    url: '/api/Business/GateWayBusinessGetById',
    method: 'post',
    data: params
  })
}

//根据ID获取WebApi业务服务所有信息
export function gateWayBusinessAllGetById (params) {
  return request({
    url: '/api/Business/GateWayBusinessAllGetById',
    method: 'post',
    data: params
  })
}

//删除业务服务信息
export function gateWayBusinessDeleteById (params) {
  return request({
    url: '/api/Business/GateWayBusinessDeleteById',
    method: 'post',
    data: params
  })
}

//新增/修改业务服务
export function gateWayBusinessAllEdit (params) {
  return request({
    url: '/api/Business/GateWayBusinessAllEdit',
    method: 'post',
    data: params
  })
}

//更新业务服务状态信息
export function gateWayBusinessStatusEdit (params) {
  return request({
    url: '/api/Business/GateWayBusinessStatusEdit',
    method: 'post',
    data: params
  })
}

//根据业务服务器ID获取所有关联业务服务信息
export function gateWayRelBusinessGetByBServer (params) {
  return request({
    url: '/api/Business/GateWayRelBusinessGetByBServer',
    method: 'post',
    data: params
  })
}

//根据业务服务器ID获取所有关联和未关联的业务服务信息
export function gateWayBusinessGetByBServer (params) {
  return request({
    url: '/api/Business/GateWayBusinessGetByBServer',
    method: 'post',
    data: params
  })
}

//以业务服务为主批量关联业务服务及业务服务器信息
export function gateWayBusinessBServerRelationByBusiness (params) {
  return request({
    url: '/api/Business/GateWayBusinessBServerRelationByBusiness',
    method: 'post',
    data: params
  })
}

/**
 *
 * Parameter
 */
//根据请求ID、请求参数类型以及请求类型获取参数列表
export function parameterGetListAll (params) {
  return request({
    url: '/api/Parameter/ParameterGetListAll',
    method: 'post',
    data: params
  })
}

//更新指定请求的参数
export function parameterEditByBusinessId (params) {
  return request({
    url: '/api/Parameter/ParameterEditByBusinessId',
    method: 'post',
    data: params
  })
}